%define tarver snap20000811

Summary: System for layout and rendering of internationalized text
Name: pango-gtkbeta
Version: 0.12b
Release: 1
License: LGPL
Group: System Environment/Libraries
Source: http://www.pango.org/download/pango-%{tarver}.tar.gz
BuildRoot: %{_tmppath}/pango-%{PACKAGE_VERSION}-root

# We need to prereq these so we can run pango-querymodules
Prereq: glib-gtkbeta >= 1.3.1b
Prereq: fribidi-gtkbeta >= 0.1.12-5

Patch1:  pango-0.11-gtkbeta.patch

%description
Pango is a system for layout and rendering of internationalized text.

This package installs in a special prefix, /opt/gtk-beta, for use
with beta releases of the GTK+ widget library.

%package devel
Summary:  System for layout and rendering of internationalized text
Group: Development/Libraries
Requires: pango-gtkbeta = %{PACKAGE_VERSION}
Requires: fribidi-gtkbeta-devel
Requires: XFree86-devel

%description devel
The pango-gtkbeta-devel package includes the static libraries and header files
for the pango-gtkbeta package.

This package installs in a special prefix /opt/gtk-beta, for use
with beta releases of the GTK+ widget library.

Install pango-gtkbeta-devel if you want to develop programs which will use
pango.

%changelog
* Sun Aug 13 2000 Owen Taylor <otaylor@redhat.com>
- Rename to 0.12b to avoid versioning problems

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Move to a CVS snapshot

* Fri Jul 07 2000 Owen Taylor <otaylor@redhat.com>
- Move back to /usr
- Version 0.12

* Mon Jun 19 2000  Owen Taylor <otaylor@redhat.com>
- Add missing %%defattr

* Thu Jun 8 2000  Owen Taylor <otaylor@redhat.com>
- Rebuild with a prefix of /opt/gtk-beta

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- version 0.11
- add --without-qt

* Wed Apr 26 2000 Owen Taylor <otaylor@redhat.com>
- Make the devel package require *-gtkbeta-* not the normal packages.

* Tue Apr 25 2000 Owen Taylor <otaylor@redhat.com>
- GTK+ snapshot version installing in /opt/gtk-beta

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file

%prep
%setup -n pango-%{tarver}

%patch1 -p1 -b .gtkbeta

# .gtkbeta patch changes Makefile.am
libtoolize --force --copy
autoconf
automake

%build
%configure --without-qt
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_prefix}/bin/pango-querymodules > /etc/pango/pango.modules

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%{_prefix}/lib/libpango*-*.so
%{_prefix}/bin/pango-querymodules
%{_prefix}/lib/pango/modules/*
%config /etc/pango/pangox.aliases

%files devel
%defattr(-, root, root)
%{_prefix}/lib/libpango*.so
%{_prefix}/bin/pango-config
%{_prefix}/lib/libpango*.a
%{_prefix}/include/*
%{_prefix}/lib/pkgconfig/*

